%Anlisis de ventanas en filtros FIR 
N=61;
%VENTANA RECTANGULAR 
w=boxcar(N);
b=fir1(60,0.3,w); [h,omega]=freqz(b,1,512); magb=20*log10(abs(h))
%VENTANA HANNING 
w=hanning(N); b=fir1(60,0.3,w); [h,omega]=freqz(b,1,512); magn=20*log10(abs(h))
%VENTANA HAMMING 
w=hamming(N); b=fir1(60,0.3,w); [h,omega]=freqz(b,1,512); magm=20*log10(abs(h))
%VENTANA KAISER
w=kaiser(N,4.533513);
b=fir1(60,0.3,w);
[h,omega]=freqz(b,1,512);
magk=20*log10(abs(h))
plot(omega/pi, magb, omega/pi, magn,omega/pi, magm,omega/pi, magm)
title('Respuesta de filtros FIR')
grid